%% upgrade
%    Preforms any necessary upgrades to the TET to comply with the latest version.
% inputs:
%   object - Cell object
% outputs:
%   none
% Author: Matthew Dawson <matthew@mjdsystems.ca>
% Organization: McMaster Centre for Software Certification
function  upgrade( object )
if iscell(object.cond_text)
    object.cond_text = object.cond_text{1};
end

for i=1:size(object.subgrid,2)
    object.subgrid(i).upgrade;
end
end

